Bug 659537

Summary: qemu in not compiled with virtfs and bluez support
Product: [Fedora] Fedora Reporter: Paul Ionescu <i_p_a_u_l>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 14CC: amit.shah, berrange, bugproxy, crobinso, dwmw2, ehabkost, itamar, jaswinder, jforbes, knoel, ondrejj, rlpowell, scottt.tw, tburke, travneff, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-21 06:59:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Patch to add libattr-dev to BuildRequires section none

Description Paul Ionescu 2010-12-02 18:58:37 EST
Description of problem:
qemu is not compiled with virtfs and bluez support;
for this we need to include in dependency list the libattr-devel and bluez-libs-devel packages

Version-Release number of selected component (if applicable):
qemu-kvm-0.13

How reproducible:
allways

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robin Powell 2011-07-15 21:12:18 EDT
FWIW, I just burned an hour or two trying to make this work, not knowing it wasn't set up to work at all.  My understanding is that simply building the package on a machine with libattr-devel would fix this, so, yeah, that'd be cool.
Comment 2 Robin Powell 2011-07-15 21:12:46 EDT
(In reply to comment #1)
> FWIW, I just burned an hour or two trying to make this work, not knowing it
> wasn't set up to work at all.  My understanding is that simply building the
> package on a machine with libattr-devel would fix this, so, yeah, that'd be
> cool.

Oh, I'm on a freshly installed F15 host.

-Robin
Comment 3 IBM Bug Proxy 2011-09-06 12:30:34 EDT
------- Comment From mohan@in.ibm.com 2011-09-06 12:28 EDT-------
As per the discussion in the following thread: http://www.redhat.com/archives/libvir-list/2011-June/msg01022.html , we just need to add libattr-dev in BuildRequires

Attached patch adds this dependency. Redhat could you please take this patch if its not already part of qemu package?
Comment 4 IBM Bug Proxy 2011-09-06 12:30:44 EDT
Created attachment 521709 [details]
Patch to add libattr-dev to BuildRequires section


------- Comment (attachment only) From mohan@in.ibm.com 2011-09-06 12:27 EDT-------
Comment 5 Andrew Travneff 2011-09-07 09:56:59 EDT
According to koji, this issue seems fixed for fc16 & fc17. Could anyone build a fixed version for Fedora 15, please?
Comment 6 IBM Bug Proxy 2011-12-08 07:00:30 EST
------- Comment From vaish123@linux.vnet.ibm.com 2011-12-08 06:58 EDT-------
Hi,

Any Progress on the bug ?

Thanks.
Comment 7 Andrew Travneff 2011-12-08 07:19:26 EST
(In reply to comment #6)
Fedora 15 has fixed version for now:

* Wed Jun 22 2011 Richard W.M. Jones <rjones@redhat.com> - 2:0.14.0-8
- Add BR libattr-devel.  This caused the -fstype option to be disabled.
  https://www.redhat.com/archives/libvir-list/2011-June/thread.html#01017
Comment 8 Cole Robinson 2012-05-21 06:59:16 EDT
F14 is end-of-life, and as mentioned in Comment #7 this is fixed in F15, so closing.